<p align="center">
  <a href="https://mama.mataraman.dev" target="_blank">
    <picture>
      <source media="(prefers-color-scheme: dark)" srcset="https://raw.githubusercontent.com/ItPohgero/mama-cli/refs/heads/main/src/assets/logo.png">
      <source media="(prefers-color-scheme: light)" srcset="https://raw.githubusercontent.com/dev-mataraman/mataraman.dev/379cbf6117e08bdf8913b5ad041dc70bfdf1dea4/public/logo.svg?token=AQMTIVUJRKENXZDI3TV7VETHQ56HO">
      <img alt="Mama CLI" src="https://raw.githubusercontent.com/ItPohgero/mama-cli/refs/heads/main/src/assets/logo.png" height="130" style="max-width: 100%;">
    </picture>
  </a>
</p>
<p align="center">
  Like a mama who helps her child grow.
</p>

<p align="center">
    <a href="https://www.npmjs.com/package/mama-cli"><img src="https://img.shields.io/npm/dt/mama-cli.svg" alt="Total Downloads"></a>
    <a href="https://github.com/ItPohgero/mama-cli/releases"><img src="https://img.shields.io/npm/v/mama-cli.svg" alt="Latest Release"></a>
    <a href="https://github.com/ItPohgero/mama-cli/blob/main/LICENSE"><img src="https://img.shields.io/npm/l/mama-cli.svg" alt="License"></a>
</p>

Like a loving mother who raises her child, mama-cli will accompany you to grow in the world of technology. Mama-cli provides various commands that are ready for us to use to create new init projects and contribute to existing projects.


## Install Mama CLI and Commands Usage
#### NPM
```bash
# global install
npm i -g mama-cli
# usage
mama <command> [options]

# local install
npm i mama-cli
# usage
npx mama <command> [options]
```
#### YARN
```bash
# global install
yarn global add mama-cli
# usage
mama <command> [options]

# local install
yarn add mama-cli
# usage
yarn mama <command> [options]
```
#### PNPM
```bash
# global install
pnpm add -g mama-cli
# usage
mama <command> [options]

# local install
pnpm add mama-cli
# usage
pnpx mama <command> [options]

```
####  BUN
```bash
# global install
bun add -g mama-cli
# usage
mama <command> [options]

# local install
bun add mama-cli
# usage
bunx mama <command> [options]
```

---
## Commands

#### Usage
```bash
mama <command> [options]
```
#### Options
```bash
Options:
  -v, --version   Show version number
  -h, --help      Display help for commands
```

#### Create New Project
If you need to create a new project, you can use the following command:
```bash
mama create <name>
```

#### Init
Initial for the existing project
```bash
mama init [type]     Initialize for existing project <type> application default next
```

---
## Type Project (Boilerplate)

- **Nextjs**: Next.js project.
- **Angular**: Angular project.

---

## Documentation

For comprehensive guides and references, visit our official [documentation](https://mama.mataraman.dev).

---

## Community

Join the conversation and connect with other users:

- [Mataraman Dev](https://mataraman.dev)  
- [It Pohgero](https://itpohgero.com)  

---

## 🛠️ Contributing

We warmly welcome contributions from everyone! Check out our [contributing guide](https://github.com/ItPohgero/mama-cli/blob/main/CONTRIBUTING.md) for detailed instructions on how to get started. Be sure to adhere to our [code of conduct](https://github.com/ItPohgero/mama-cli/blob/main/CODE_OF_CONDUCT.md). 

Join us in making **Mama CLI** better, and become part of a growing community of engineers and IT enthusiasts!

---

## 📜 License

This project is licensed under the [MIT License](https://github.com/ItPohgero/mama-cli/blob/main/LICENSE).

---

<p align="center">
  Made with ❤️ by <a href="https://mataraman.dev" target="_blank">Mataraman Dev</a> and <a href="https://itpohgero.com" target="_blank">ItPohgero</a>
</p>
